CVE-2008-5902
openSUSE 11.1
CVE-2008-5902, security advisory, novell, suse linux, suse, security, cve

CVE-2008-5902

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2008-5902 at MITRE

Description

Buffer overflow in the xrdp_bitmap_invalidate function in xrdp/xrdp_bitmap.c in xrdp 0.4.1 and earlier allows remote attackers to execute arbitrary code via a crafted request.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.48
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 450898 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.1
  • xrdp-debuginfo >= 0.4.1-16.6.2
  • xrdp-debugsource >= 0.4.1-16.6.2
openSUSE 11.1
  • xrdp >= 0.4.1-16.6.2
openSUSE 11.1
  • xrdp-debuginfo >= 0.4.1-16.7.1
  • xrdp-debugsource >= 0.4.1-16.7.1
openSUSE 11.1
  • xrdp >= 0.4.1-16.7.1